Python
from parallel import Parallel
client = Parallel()
task_group_runs = client.task_group.get_runs("taskgroup_id")
for run in task_group_runs:
print(run)import Parallel from "parallel-web";
const client = new Parallel();
const taskGroupRuns = await client.taskGroup.getRuns(
'taskgroup_id',
);
for await (const run of taskGroupRuns) {
console.log(run);
}
curl --request GET \
--url https://api.parallel.ai/v1/tasks/groups/{taskgroup_id}/runs \
--header 'x-api-key: <api-key>'{
"type": "task_run.state",
"event_id": "123",
"input": {
"processor": "core",
"metadata": {
"my_key": "my_value"
},
"input": {
"country": "France",
"year": 2023
}
},
"run": {
"run_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"interaction_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"status": "completed",
"is_active": false,
"processor": "core",
"metadata": {
"my_key": "my_value"
},
"created_at": "2025-04-23T20:21:48.037943Z",
"modified_at": "2025-04-23T20:21:48.037943Z"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "TaskGroup not found"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Tasks
Fetch Task Group Runs
Retrieves task runs in a TaskGroup and optionally their inputs and outputs.
All runs within a TaskGroup are returned as a stream. To get the inputs and/or
outputs back in the stream, set the corresponding include_input and
include_output parameters to true.
The stream is resumable using the event_id as the cursor. To resume a stream,
specify the last_event_id parameter with the event_id of the last event in the
stream. The stream will resume from the next event after the last_event_id.
GET
/
v1
/
tasks
/
groups
/
{taskgroup_id}
/
runs
Python
from parallel import Parallel
client = Parallel()
task_group_runs = client.task_group.get_runs("taskgroup_id")
for run in task_group_runs:
print(run)import Parallel from "parallel-web";
const client = new Parallel();
const taskGroupRuns = await client.taskGroup.getRuns(
'taskgroup_id',
);
for await (const run of taskGroupRuns) {
console.log(run);
}
curl --request GET \
--url https://api.parallel.ai/v1/tasks/groups/{taskgroup_id}/runs \
--header 'x-api-key: <api-key>'{
"type": "task_run.state",
"event_id": "123",
"input": {
"processor": "core",
"metadata": {
"my_key": "my_value"
},
"input": {
"country": "France",
"year": 2023
}
},
"run": {
"run_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"interaction_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"status": "completed",
"is_active": false,
"processor": "core",
"metadata": {
"my_key": "my_value"
},
"created_at": "2025-04-23T20:21:48.037943Z",
"modified_at": "2025-04-23T20:21:48.037943Z"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "TaskGroup not found"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Query Parameters
Response
Successful Response
- TaskRunEvent
- ErrorEvent
Event when a task run transitions to a non-active status.
May indicate completion, cancellation, or failure.